      REAL FUNCTION EDE(XDUMMY)
C
C     Filename:  EDE.FOR
C
C     Calculation of energy-loss in detector E (EDE) in MeV
C     by ADC channel number (EPHA) and amplifier channel
C     (ECHN=0 -> low channel/high amplification,
C      ECHN=1 -> high channel/low amplification)
C
C     H. Sierks, University of Kiel, 08 Nov 1994
C
      REAL
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
      COMMON/PAWIDN/IDNEVT,VIDN1,VIDN2,VIDN3,VIDN(10),
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
*
      if (echn.eq.0.) then
        ede=20.0*epha/1023.
      else
        ede=225.0*epha/1023.
      endif

      END
